package com.mdd.admin.vo.decorate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("装修底部导航样式Vo")
public class DecorateTabsStyleVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("默认颜色")
   private String defaultColor;
   @ApiModelProperty("选中颜色")
   private String selectedColor;

   public String getDefaultColor() {
      return this.defaultColor;
   }

   public String getSelectedColor() {
      return this.selectedColor;
   }

   public void setDefaultColor(String defaultColor) {
      this.defaultColor = defaultColor;
   }

   public void setSelectedColor(String selectedColor) {
      this.selectedColor = selectedColor;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DecorateTabsStyleVo)) {
         return false;
      } else {
         DecorateTabsStyleVo other = (DecorateTabsStyleVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$defaultColor = this.getDefaultColor();
            Object other$defaultColor = other.getDefaultColor();
            if (this$defaultColor == null) {
               if (other$defaultColor != null) {
                  return false;
               }
            } else if (!this$defaultColor.equals(other$defaultColor)) {
               return false;
            }

            Object this$selectedColor = this.getSelectedColor();
            Object other$selectedColor = other.getSelectedColor();
            if (this$selectedColor == null) {
               if (other$selectedColor != null) {
                  return false;
               }
            } else if (!this$selectedColor.equals(other$selectedColor)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DecorateTabsStyleVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $defaultColor = this.getDefaultColor();
      result = result * 59 + ($defaultColor == null ? 43 : $defaultColor.hashCode());
      Object $selectedColor = this.getSelectedColor();
      result = result * 59 + ($selectedColor == null ? 43 : $selectedColor.hashCode());
      return result;
   }

   public String toString() {
      return "DecorateTabsStyleVo(defaultColor=" + this.getDefaultColor() + ", selectedColor=" + this.getSelectedColor() + ")";
   }
}
